#include "../2025_include_user/TrackerGpio.h"

TrackerGpio::Data TrackerGpio::_data;

void TrackerGpio::init() {}

void TrackerGpio::inject() {}

TrackerGpio::Data TrackerGpio::getData() {
    TrackerGpio::Data data = {};
    data.data[0] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track1_PIN) == 0;
    data.data[1] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track2_PIN) == 0;
    data.data[2] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track3_PIN) == 0;
    data.data[3] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track4_PIN) == 0;
    data.data[4] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track5_PIN) == 0;
    data.data[5] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track6_PIN) == 0;
    data.data[6] = DL_GPIO_readPins(Tracker_PORT, Tracker_Track7_PIN) == 0;
    return data;
}